Subject: bug#13425: closed (Re: bug#13425: close this bug?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 04 Feb 2017 19:32:02 +0000

Your bug report

#13425: new css-mode indenter

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13425: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13425
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13425: close this bug?
From: Simen Heggestøyl <[email-masked]>
To: Stefan Monnier <[email-masked]>, [email-masked]
Cc: [email-masked], Tom Tromey <[email-masked]>
Date: Sat, 04 Feb 2017 20:31:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Good, I've installed the patch as f6ff7bb1fcd062fe. It should cover
the mentioned test cases.

I'm closing this bug since the current CSS indenter now handles
multiline property values better.

Evgeni, I'm sorry that your report had to sit around for so
long. Thank you for prodding us to improve the indentation engine in
this regard!

-- Simen

Subject: new css-mode indenter
From: E Sabof <[email-masked]>
To: [email-masked]
Date: Sun, 13 Jan 2013 07:43:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I've written a new indenter for CSS, which fixes issues with mulitline
statements following a colon, and comments:

body {
    color: #333;
    font: 15px "Helvetica Neue",
        Helvetica,
        Arial,
        "Nimbus Sans L",
        sans-serif;
    font-weight: 300;
    line-height: 1.625;
    a { /* It also handles SCSS */
        font: 15px "Helvetica Neue",
            Helvetica,
            Arial,
            "Nimbus Sans L",
            sans-serif;
        /* Some comment */
    }
    /* Some comment at the end of a block */
}

I wondered whether this functionality could be integrated into Emacs.
https://github.com/sabof/es-css-mode
https://github.com/sabof/es-lib (it takes some functions from it)

Evgeni